# Subscription Change History The change histories of single version subscriptions. **Note**: To access the change histories, you must turn on the following features: - Orders - Single Version Subscription ## List change histories of a subscription - [GET /v1/subscription-change-logs/{subscriptionNumber}](https://developer.zuora.com/v1-api-reference/api/subscription-change-history/getsubscriptionchangelogsbysubscriptionnumber.md): Lists subscription change histories of a single version subscription. Each history maps to an order. See the subscriptions > fields, ratePlans > fields, and ratePlanCharges > fields fields for the changes in the subscription, subscription rate plans, and subscription rate plan charges. Note: This operation is only available if you have the following features turned on: - Orders - Single Version Subscription ## List change histories of subscriptions by order number - [GET /v1/subscription-change-logs/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/subscription-change-history/getsubscriptionchangelogsbyordernumber.md): List the change histories of single version subscriptions that are included in and processed by an order. Each history maps to a subscription associated with this order. See the subscriptions > fields, ratePlans > fields, and ratePlanCharges > fields fields for the changes in the subscription, subscription rate plans, and subscription rate plan charges. Note: This operation is only available if you have the following features turned on: - Orders - Single Version Subscription ## Retrieve a change history of a subscription by version - [GET /v1/subscription-change-logs/{subscriptionNumber}/versions/{version}](https://developer.zuora.com/v1-api-reference/api/subscription-change-history/getsubscriptionchangelogbyversion.md): Retrieves the change history of a single version subscription by version. This version indicates the creation sequence of the orders associated with the subscription and starts from 1. See the subscription > fields, ratePlans > fields, and ratePlanCharges > fields fields for the changes in the subscription, subscription rate plans, and subscription rate plan charges. Note: This operation is only available if you have the following features turned on: - Orders - Single Version Subscription